commit:     03d1aacdb22c50df83b4602e580ff41496e41dc8
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 23 20:27:52 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Feb 23 20:49:14 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=03d1aacd

dev-python/lit: Add 23.0.0_pre20260223 snapshot

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/lit/Manifest                      |  1 +
 dev-python/lit/lit-23.0.0_pre20260223.ebuild | 45 ++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index 3c950f24bd64..63490b51c73e 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -1,3 +1,4 @@
+DIST llvm-project-0b95a494c90cb77a50415fb85196e1eb80f96a5d.tar.gz 262987986 
BLAKE2B 
20991fc7c69a38324a719c3db03f06a25f4738e46a54df19aa4b12112722dffed6b9425c6a07b317bfd4b819fabcd18e0d87223503f04d91fc51ace694eebd74
 SHA512 
542621349b18a186e47a60ce816c9043a9dc578f99f3adb7304c6509ad5abdc194599e6085285529ce3752365eb7ed00b64065f97079bd6da10e1c29ca5364e1
 DIST llvm-project-16.0.6.src.tar.xz 118013488 BLAKE2B 
95192d39cbd2914e5609db365965f1c00bfea6c2d653b3996bd2acef8a2b37e37f6fc8a9d2b65711ad72657e0ef52c42f733053cf65051e7822f27396c30406d
 SHA512 
89a67ebfbbc764cc456e8825ecfa90707741f8835b1b2adffae0b227ab1fe5ca9cce75b0efaffc9ca8431cae528dc54fd838867a56a2b645344d9e82d19ab1b7
 DIST llvm-project-16.0.6.src.tar.xz.sig 566 BLAKE2B 
2060cebd5ed57cb8a86a44238c43dfd4b921649298b10c3d19da308374c1e49869174294e29943c2af459fe06428264e26881d6c1288ebbc48686cc2cf467c7a
 SHA512 
ca249262c7102e0889ec1bdc6f71a3a6f0e7e5d5fbab8abcd6fccd2871e7955eff7af5b055a76006097baf0dfaf2f5069eff3035b3107fc552abdb2481b21447
 DIST llvm-project-17.0.6.src.tar.xz 127838860 BLAKE2B 
d6ede1a9fda8756995c3e0654111941649e15794179641806f18919f1dc68c41ca0cabd5693b5096d05dccc3a391cd20d34af1137bf8af92ed3117a1ce84d1b2
 SHA512 
6d85bf749e0d77553cc215cbfa61cec4ac4f4f652847f56f946b6a892a99a5ea40b6ab8b39a9708a035001f007986941ccf17e4635260a8b0c1fa59e78d41e30

diff --git a/dev-python/lit/lit-23.0.0_pre20260223.ebuild 
b/dev-python/lit/lit-23.0.0_pre20260223.ebuild
new file mode 100644
index 000000000000..e7ba350e0086
--- /dev/null
+++ b/dev-python/lit/lit-23.0.0_pre20260223.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1 llvm.org
+
+DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
+HOMEPAGE="https://llvm.org/";
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+BDEPEND="
+       test? (
+               dev-python/psutil[${PYTHON_USEDEP}]
+               llvm-core/llvm
+       )
+"
+
+LLVM_COMPONENTS=( llvm/utils/lit )
+llvm.org_set_globals
+
+# TODO: move the manpage generation here (from llvm-core/llvm)
+
+src_prepare() {
+       # flaky test
+       # https://github.com/llvm/llvm-project/issues/72022
+       rm tests/progress-bar.py || die
+
+       cd "${WORKDIR}" || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local -x LIT_PRESERVES_TMP=1
+       local litflags=$(get_lit_flags)
+       ./lit.py ${litflags//;/ } tests || die
+}

Reply via email to